# External Payments External Payments ## Creates a new external payment record that does not already exist. - [POST /externalPayments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/createexternalpayment.md): This method will auto-generate an ID and create a new external payment. If an ID is specified for the external payment, an error will be thrown. ## Execute Batch Operations - [POST /externalPayments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /externalPayments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id ## Returns a list of records with the specified organization_id - [GET /externalPayments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a external payment from the system by its ID. - [DELETE /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/deleteexternalpayment.md): This method will delete a external payment with the specified ID. ## Returns a external payment from the system by its ID. - [GET /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/getexternalpayment.md): This method will look up a external payment by the specified ID and return it back. ## Partially updates a external payment with the specified ID. - [PATCH /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/patchexternalpayment.md): This method will patch an existing external payment with the specified ID, using the HTTP PATCH specification. ## Updates a external payment with the specified ID. - [PUT /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/updateexternalpayment.md): This method will update an existing external payment with the specified ID.